Index: testsuites/samples/unlimited/init.c
===================================================================
--- testsuites/samples/unlimited/init.c	(revision 805360b8e50e69573ec446674f640c9b7704cb34)
+++ testsuites/samples/unlimited/init.c	(revision 51a95ff9df21288bd03e467ca38af7bb8d9b7ef8)
@@ -56,18 +56,19 @@
 rtems_task test_task(
   rtems_task_argument my_number
-  )
+)
 {
   rtems_event_set out;
+  unsigned int    my_n = (unsigned int) my_number;
 
-  printf( "task %" PRIdrtems_task_argument " has started.\n",  my_number);
+  printf( "task %u has started.\n",  my_n);
 
   rtems_event_receive(1, RTEMS_WAIT | RTEMS_EVENT_ANY, 0, &out);
 
-  printf( "task %" PRIdrtems_task_argument " ending.\n",  my_number);
+  printf( "task %u ending.\n",  my_n);
 
   rtems_task_delete(RTEMS_SELF);
 }
 
-void destory_all_tasks(
+void destroy_all_tasks(
   const char *who
 )
@@ -79,17 +80,21 @@
    */
 
-  for (task = 0; task < MAX_TASKS; task++)
-    if (task_id[task])
-    {
-      printf(" %s : signal task %08" PRIxrtems_id " to delete, ", who, task_id[task]);
+  for (task = 0; task < MAX_TASKS; task++) {
+    if (task_id[task]) {
+      printf(
+        " %s : signal task %08" PRIxrtems_id " to delete, ",
+         who,
+         task_id[task]
+      );
       fflush(stdout);
       rtems_event_send(task_id[task], 1);
       task_id[task] = 0;
     }
+  }
 }
 
 bool status_code_bad(
   rtems_status_code status_code
-  )
+)
 {
   if (status_code != RTEMS_SUCCESSFUL)
Index: testsuites/samples/unlimited/system.h
===================================================================
--- testsuites/samples/unlimited/system.h	(revision 805360b8e50e69573ec446674f640c9b7704cb34)
+++ testsuites/samples/unlimited/system.h	(revision 51a95ff9df21288bd03e467ca38af7bb8d9b7ef8)
@@ -25,5 +25,5 @@
 
 void
-destory_all_tasks(
+destroy_all_tasks(
   const char *who
 );
Index: testsuites/samples/unlimited/test1.c
===================================================================
--- testsuites/samples/unlimited/test1.c	(revision 805360b8e50e69573ec446674f640c9b7704cb34)
+++ testsuites/samples/unlimited/test1.c	(revision 51a95ff9df21288bd03e467ca38af7bb8d9b7ef8)
@@ -100,5 +100,5 @@
   }
 
-  destory_all_tasks("TEST1");
+  destroy_all_tasks("TEST1");
 
   the_information->auto_extend = auto_extend;
Index: testsuites/samples/unlimited/test2.c
===================================================================
--- testsuites/samples/unlimited/test2.c	(revision 805360b8e50e69573ec446674f640c9b7704cb34)
+++ testsuites/samples/unlimited/test2.c	(revision 51a95ff9df21288bd03e467ca38af7bb8d9b7ef8)
@@ -96,5 +96,5 @@
             "         task created = %" PRIi32 ", required number = %i\n",
             task_count, (TASK_ALLOCATION_SIZE * 5) - TASK_INDEX_OFFSET);
-    destory_all_tasks("TEST2");
+    destroy_all_tasks("TEST2");
     exit( 1 );
   }
@@ -113,5 +113,5 @@
                 "         task number = %" PRIi32 "\n",
                 remove_task);
-        destory_all_tasks("TEST2");
+        destroy_all_tasks("TEST2");
         exit( 1 );
       }
@@ -123,5 +123,6 @@
       removed_ids[task++] = task_id[remove_task];
 
-      printf(" TEST2 : block %" PRIi32 " remove, signal task %08" PRIxrtems_id ", ", block, task_id[remove_task]);
+      printf(" TEST2 : block %" PRIi32 " remove, signal task %08"
+               PRIxrtems_id ", ", block, task_id[remove_task]);
       rtems_event_send(task_id[remove_task], 1);
       task_id[remove_task] = 0;
@@ -145,5 +146,5 @@
     {
       printf( " FAIL2 : no free task id slot.\n");
-      destory_all_tasks("TEST2");
+      destroy_all_tasks("TEST2");
       exit( 1 );
     }
@@ -165,9 +166,10 @@
               "         task number = %" PRIi32 "\n",
               id_slot);
-      destory_all_tasks("TEST2");
-      exit( 1 );
-    }
-
-    printf("number = %3" PRIi32 ", id = %08" PRIxrtems_id ", starting, ", task_count, task_id[id_slot]);
+      destroy_all_tasks("TEST2");
+      exit( 1 );
+    }
+
+    printf("number = %3" PRIi32 ", id = %08" PRIxrtems_id ", starting, ",
+           task_count, task_id[id_slot]);
 
     result = rtems_task_start(task_id[id_slot],
@@ -180,5 +182,5 @@
               "        task number = %" PRIi32 "\n",
               id_slot);
-      destory_all_tasks("TEST2");
+      destroy_all_tasks("TEST2");
       exit( 1 );
     }
@@ -191,5 +193,6 @@
 
     /*
-     *  Search the removed ids to see if it existed, clear the removed id when found
+     *  Search the removed ids to see if it existed, clear the removed id
+     *  when found
      */
 
@@ -213,7 +216,8 @@
         if ((task_id[id_slot] == task_id[allocated_id]) && (id_slot != allocated_id))
         {
-          printf( " FAIL2 : the new id is the same as an id already allocated -\n"
-                  "         task id = %08" PRIxrtems_id "\n",
-                  task_id[id_slot]);
+          printf(
+            " FAIL2 : the new id is the same as an id already allocated -\n"
+            "         task id = %08" PRIxrtems_id "\n",
+            task_id[id_slot]);
           exit( 1 );
         }
@@ -228,5 +232,5 @@
   }
 
-  destory_all_tasks("TEST2");
+  destroy_all_tasks("TEST2");
 
   printf( " TEST2 : completed\n" );
Index: testsuites/samples/unlimited/test3.c
===================================================================
--- testsuites/samples/unlimited/test3.c	(revision 805360b8e50e69573ec446674f640c9b7704cb34)
+++ testsuites/samples/unlimited/test3.c	(revision 51a95ff9df21288bd03e467ca38af7bb8d9b7ef8)
@@ -145,5 +145,5 @@
   }
 
-  destory_all_tasks("TEST3");
+  destroy_all_tasks("TEST3");
 
   printf( " TEST3 : completed\n" );
